<?php

if (!defined('ABSPATH')) {
    exit();
}

$ssl_disabled = !is_ssl();
return  array('enabled'         => array(
						'title'   => __('Enable/Disable', 'woo-txpmnts'),
						'type'    => 'checkbox',
						'label'   => __('Enable TxPayments', 'woo-txpmnts'),
						'default' => 'yes'
				),
				'title'          => array(
						'title'       => __('Title', 'woo-txpmnts'),
						'type'        => 'text',
						'description' => __('This controls the title which the user sees during checkout.',
						                    'woocommerce'),
						'default'     => __('Credit card', 'woo-txpmnts')
				),
				'iframe_url' => array(
						'title'       => __('iFrame Transaction Url', 'woo-txpmnts'),
						'type'        => 'text',
						'description' => __('This is the iFrame Script URL that you have received from GPN Data, used for connecting to the payment gateway.',
						                    'woo-txpmnts')
				),
                'iframe_div_style' => array(
						'title'       => __('iFrame div CSS style', 'woo-txpmnts'),
						'type'        => 'textarea',
						'description' => __('Style to be appllied to iFrame div container',
						                    'woo-txpmnts'),
                        'default' => !$this->get_option('iframe_div_style') ? $this->_default_iframe_style : $this->get_option('iframe_div_style'),
				),
                'merchantname'   => array(
						'title'       => __('iFrame Merchant name', 'woo-txpmnts'),
						'type'        => 'text',
						'description' => __('Merchant name as it will appear on iFrame.', 'woo-txpmnts')
				),
				'pretty_name' => array(
						'title'       => __('iFrame Pretty Name', 'woo-txpmnts'),
						'type'        => 'text',
						'description' => __('This is the Pretty Name that you have received from GPN Data, used for connecting to the payment gateway.',
						                    'woo-txpmnts')
				),
                'logo'     => array(
						'title'       => __('iFrame Logo URL', 'woo-txpmnts'),
						'type'        => 'text',
						'description' => __('Logo as it will appear on the iFrame header.',
						                    'woo-txpmnts'),
				),
                'iframe_language' => array(
						'title'       => __('Iframe language', 'woo-txpmnts'),
						'type'        => 'select',
                        'options'     => array('none'=> 'Please select iframe language..',
                                               'us'=> 'English',
                                               'de'=> 'German',
                                               'hr'=> 'Croatian',
                                               'pl'=> 'Polski',
                                               'es'=> 'Spanish',
                                               'lv'=> 'Latvia',
                                               'ro'=> 'Romania',
                                               'ru'=> 'Russian Federation',
                                        ),
						'description' => __('Default Iframe language',
						                    'woo-txpmnts')
				),
                 'iframe_order_description'    => array(
						'title'       => __('iFrame header order description text', 'woo-txpmnts'),
						'type'        => 'textarea',
						'description' => __('This controls the description on iframe header which the user sees during checkout.',
						                    'woocommerce'),
						'default'     => __('Pay directly by card via a trusted payment gateway.', 'woocommerce')
				),
                'gateway_url' => array(
						'title'       => __('Full API URL', 'woo-txpmnts'),
						'type'        => 'text',
						'description' => __('This is the URL that you have received from GPN Data, used for connecting to the payment gateway for full API functionality.',
						                    'woo-txpmnts'),
                        'custom_attributes' => array($ssl_disabled ? 'readonly' : ''),
                        'placeholder' => $ssl_disabled ? 'Please activate SSL on server to use this feature' : ''

				),
				'apiuser'        => array(
						'title' => __('API user', 'woo-txpmnts'),
						'type'  => 'text',
                        'custom_attributes' => array($ssl_disabled ? 'readonly' : ''),
                        'placeholder' => $ssl_disabled ? 'Please activate SSL on server to use this feature' : ''
				),
				'apipassword'    => array(
						'title' => __('API password', 'woo-txpmnts'),
						'type'  => 'password',
                        'custom_attributes' => array($ssl_disabled ? 'readonly' : ''),
                        'placeholder' => $ssl_disabled ? 'Please activate SSL on server to use this feature' : ''
				),
				'apikey'         => array(
						'title' => __('API key', 'woo-txpmnts'),
						'type'  => 'text',
                        'custom_attributes' => array($ssl_disabled ? 'readonly' : ''),
                        'placeholder' => $ssl_disabled ? 'Please activate SSL on server to use this feature' : ''
				),

				'description'    => array(
						'title'       => __('Description', 'woo-txpmnts'),
						'type'        => 'textarea',
						'description' => __('This controls the description which the user sees during checkout.',
						                    'woocommerce'),
						'default'     => __('Pay directly by card via a trusted payment gateway.', 'woocommerce')
				),
				'notification_url'=> array(
						'title'=>__('Notification URL', 'woo-txpmnts'),
						'custom_attributes'=>array('readonly'=>true),
						'css'=>'cursor: text;',
						'description'=>'Notification URL, which you must provide to TxPayments gateway support.',
						'default'=>home_url('/wc-api/WC_txpmnts')
				),
				'notification_url2'=> array(
						'title'=>__('Notification URL if using Microsoft IIS', 'woo-txpmnts'),
						'custom_attributes'=>array('readonly'=>true),
						'css'=>'cursor: text;',
						'description'=>'Notification URL that works for Microsoft IIS, which you must provide to TxPayments gateway support.',
						'default'=>home_url('/?wc-api=WC_txpmnts')
				),'server_ip'=> array(
						'title'=>__('Server IP address', 'woo-txpmnts'),
						'custom_attributes'=>array('readonly'=>true),
						'css'=>'cursor: text;',
						'description'=>'Information used for IP white list on GPN DATA Production Gateway.',
						'default'=>$_SERVER['SERVER_ADDR'])
		);